### Method

# Pango Layoutget_line_readonly

since: 1.16

#### Declaration [src]

    PangoLayoutLine*
    pango_layout_get_line_readonly (
      PangoLayout* layout,
      int line
    )

#### Description [src]

Retrieves a particular line from a `PangoLayout`.

This is a faster alternative to `pango_layout_get_line()`, but the user is not expected to modify the contents of the line (glyphs, glyph widths, etc.).

Available since: 1.16

#### Parameters

`line`

  Type: `int`

  The index of a line, which must be between 0 and `pango_layout_get_line_count(layout) - 1`, inclusive.

#### Return value

Type: `PangoLayoutLine`

The requested `PangoLayoutLine`, or `NULL` if the index is out of range. This layout line can be ref’ed and retained, but will become invalid if changes are made to the `PangoLayout`. No changes should be made to the line.

The data is owned by the instance.
The return value can be `NULL`.